#!/bin/bash
###################################################################
#  This small bash script will initialize LD_LIBRARY_PATH to the  #
#  correct dir, so that the installer can find the qt library     #
#  Then it should execute the actual installer                    #
#                                                                 #
#  (C) 2003 by Niels Werensteijn                                  #
###################################################################

BASEDIR=${0%setup.sh}
IMAGEDIR=${BASEDIR}setup.data/image/
SETUPDIR=${BASEDIR}setup.data/installer/

if [ ${0:0:1} == "/" ]; 
   then export LD_LIBRARY_PATH="${IMAGEDIR}:${LD_LIBRARY_PATH}"
   else export LD_LIBRARY_PATH="`pwd`/${IMAGEDIR}:${LD_LIBRARY_PATH}"
fi

${SETUPDIR}installer